Skip to main content

TestRules

POST 

/twirp/ttab.newswire.Delivery/TestRules

TestRules is used by TT Studio to perform a test run of a ruleset.

Request

Body

    date string

    Date in the format YYYY-MM-DD get events from for testing.

    rules string

    Rules is the blockly state that should be tested.

    timezone string

    Timezone to calculate the date start and end timestamps.

Responses

Method response

Schema
    docs object[]

    Docs that matched the rules.

  • Array [
  • delivery_tags string[]

    Delivery tags set by the ruleset.

    firstPublished string

    FirstPublished is the time of the first publication as an RFC3339 string.

    genre string[]

    Genre of the document.

    headline string

    Headline of the document.

    id integer

    Id of the event that represents the document.

    matched_by string[]

    MatchedBy is the IDs of the rules that matched the document.

    newsvalue integer

    Newsvalue of the document.

    time string

    Time is the timestamp for the event as an RFC3339 string.

    uri string

    Uri of the document.

    webprio integer

    Webprio is the web priority of the document.

  • ]
Loading...